<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_32) on Fri Nov 16 08:58:56 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=utf8">
<TITLE>
Uses of Class org.cocktail.peche.entity.EOService
</TITLE>

<META NAME="date" CONTENT="2012-11-16">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class org.cocktail.peche.entity.EOService";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/cocktail/peche/entity//class-useEOService.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EOService.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.cocktail.peche.entity.EOService</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.cocktail.peche.entity"><B>org.cocktail.peche.entity</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.cocktail.peche.metier.hce"><B>org.cocktail.peche.metier.hce</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.cocktail.peche.entity"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A> in <A HREF="../../../../../org/cocktail/peche/entity/package-summary.html">org.cocktail.peche.entity</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../org/cocktail/peche/entity/package-summary.html">org.cocktail.peche.entity</A> with type parameters of type <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;er.extensions.eof.ERXKey&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#LIST_SERVICES">LIST_SERVICES</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;er.extensions.eof.ERXKey&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOElementMaquette.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOElementMaquette.html#LISTE_SERVICES">LISTE_SERVICES</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/cocktail/peche/entity/package-summary.html">org.cocktail.peche.entity</A> that return <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#createEOService(com.webobjects.eocontrol.EOEditingContext, java.lang.Integer, java.lang.Double, java.lang.Double, java.lang.String, java.lang.String, org.cocktail.fwkcktlpersonne.common.metier.EOVPersonnelActuelEns)">createEOService</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                java.lang.Integer&nbsp;annee,
                java.lang.Double&nbsp;heuresPrevues,
                java.lang.Double&nbsp;heuresRealisees,
                java.lang.String&nbsp;temoinPaye,
                java.lang.String&nbsp;temoinValide,
                org.cocktail.fwkcktlpersonne.common.metier.EOVPersonnelActuelEns&nbsp;enseignant)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>_EOElementMaquette.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOElementMaquette.html#createListeServicesRelationship()">createListeServicesRelationship</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#createListServicesRelationship()">createListServicesRelationship</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/EOService.html#creerEtInitialiser(com.webobjects.eocontrol.EOEditingContext)">creerEtInitialiser</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;edc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/EOService.html#creerEtInitialiser(com.webobjects.eocontrol.EOEditingContext, java.lang.Integer)">creerEtInitialiser</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;edc,
                   java.lang.Integer&nbsp;persId)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/EOService.html#dupliquer(org.cocktail.peche.entity.EOService, com.webobjects.eocontrol.EOEditingContext)">dupliquer</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;source,
          com.webobjects.eocontrol.EOEditingContext&nbsp;edc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#fetchEOService(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier)">fetchEOService</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
               com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#fetchEOService(com.webobjects.eocontrol.EOEditingContext, java.lang.String, java.lang.Object)">fetchEOService</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
               java.lang.String&nbsp;keyName,
               java.lang.Object&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#fetchRequiredEOService(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier)">fetchRequiredEOService</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                       com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#fetchRequiredEOService(com.webobjects.eocontrol.EOEditingContext, java.lang.String, java.lang.Object)">fetchRequiredEOService</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                       java.lang.String&nbsp;keyName,
                       java.lang.Object&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#localInstanceIn(com.webobjects.eocontrol.EOEditingContext)">localInstanceIn</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#localInstanceIn(com.webobjects.eocontrol.EOEditingContext, org.cocktail.peche.entity.EOService)">localInstanceIn</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;eo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/cocktail/peche/entity/package-summary.html">org.cocktail.peche.entity</A> that return types with arguments of type <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#fetchAllEOServices(com.webobjects.eocontrol.EOEditingContext)">fetchAllEOServices</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#fetchAllEOServices(com.webobjects.eocontrol.EOEditingContext, com.webobjects.foundation.NSArray)">fetchAllEOServices</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                   com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#fetchEOServices(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier, com.webobjects.foundation.NSArray)">fetchEOServices</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
                com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;er.extensions.eof.ERXFetchSpecification&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#fetchSpec()">fetchSpec</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOElementMaquette.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeServices()">listeServices</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOElementMaquette.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeServices(com.webobjects.eocontrol.EOQualifier)">listeServices</A></B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOElementMaquette.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeServices(com.webobjects.eocontrol.EOQualifier, boolean)">listeServices</A></B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
              boolean&nbsp;fetch)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOElementMaquette.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeServices(com.webobjects.eocontrol.EOQualifier, com.webobjects.foundation.NSArray, boolean)">listeServices</A></B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
              com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings,
              boolean&nbsp;fetch)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#listServices()">listServices</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#listServices(com.webobjects.eocontrol.EOQualifier)">listServices</A></B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#listServices(com.webobjects.eocontrol.EOQualifier, boolean)">listServices</A></B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
             boolean&nbsp;fetch)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#listServices(com.webobjects.eocontrol.EOQualifier, com.webobjects.foundation.NSArray, boolean)">listServices</A></B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
             com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings,
             boolean&nbsp;fetch)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/cocktail/peche/entity/package-summary.html">org.cocktail.peche.entity</A> with parameters of type <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOElementMaquette.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOElementMaquette.html#addToListeServices(org.cocktail.peche.entity.EOService)">addToListeServices</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOElementMaquette.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOElementMaquette.html#addToListeServicesRelationship(org.cocktail.peche.entity.EOService)">addToListeServicesRelationship</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#addToListServices(org.cocktail.peche.entity.EOService)">addToListServices</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#addToListServicesRelationship(org.cocktail.peche.entity.EOService)">addToListServicesRelationship</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOElementMaquette.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOElementMaquette.html#deleteListeServicesRelationship(org.cocktail.peche.entity.EOService)">deleteListeServicesRelationship</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#deleteListServicesRelationship(org.cocktail.peche.entity.EOService)">deleteListServicesRelationship</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/EOService.html#dupliquer(org.cocktail.peche.entity.EOService, com.webobjects.eocontrol.EOEditingContext)">dupliquer</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;source,
          com.webobjects.eocontrol.EOEditingContext&nbsp;edc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></CODE></FONT></TD>
<TD><CODE><B>_EOService.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOService.html#localInstanceIn(com.webobjects.eocontrol.EOEditingContext, org.cocktail.peche.entity.EOService)">localInstanceIn</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;eo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOElementMaquette.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOElementMaquette.html#removeFromListeServices(org.cocktail.peche.entity.EOService)">removeFromListeServices</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOElementMaquette.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOElementMaquette.html#removeFromListeServicesRelationship(org.cocktail.peche.entity.EOService)">removeFromListeServicesRelationship</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#removeFromListServices(org.cocktail.peche.entity.EOService)">removeFromListServices</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>_EOReh.</B><B><A HREF="../../../../../org/cocktail/peche/entity/_EOReh.html#removeFromListServicesRelationship(org.cocktail.peche.entity.EOService)">removeFromListServicesRelationship</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.cocktail.peche.metier.hce"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A> in <A HREF="../../../../../org/cocktail/peche/metier/hce/package-summary.html">org.cocktail.peche.metier.hce</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/cocktail/peche/metier/hce/package-summary.html">org.cocktail.peche.metier.hce</A> with parameters of type <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;double</CODE></FONT></TD>
<TD><CODE><B>MoteurCalcul.</B><B><A HREF="../../../../../org/cocktail/peche/metier/hce/MoteurCalcul.html#getHeuresComplementaires(org.cocktail.peche.entity.EOService)">getHeuresComplementaires</A></B>(<A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity">EOService</A>&nbsp;service)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/cocktail/peche/entity/EOService.html" title="class in org.cocktail.peche.entity"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/cocktail/peche/entity//class-useEOService.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EOService.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
